<?xml version="1.0" encoding="utf-8"?>
<com.google.android.material.appbar.AppBarLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/app_bar_layout"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:theme="@style/AppBarOverlay">

    <com.google.android.material.appbar.MaterialToolbar
        android:id="@+id/gdt_toolbar"
        android:layout_width="match_parent"
        android:layout_height="?attr/actionBarSize"
        android:layout_gravity="center_vertical"
        android:background="@color/colorPrimary"
        app:popupTheme="@style/PopupOverlay">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <ImageView
                android:id="@+id/iv_logo"
                android:layout_width="wrap_content"
                android:layout_height="0dp"
                android:layout_marginTop="4dp"
                android:layout_marginBottom="4dp"
                android:adjustViewBounds="true"
                android:scaleType="fitXY"
                android:src="@drawable/ic_logo"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:id="@+id/tv_user_id"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="4dp"
                android:textColor="@color/color_white"
                app:layout_constraintBottom_toTopOf="@+id/tv_amount"
                app:layout_constraintStart_toEndOf="@id/iv_logo"
                app:layout_constraintTop_toTopOf="@id/iv_logo"
                app:layout_constraintVertical_chainStyle="packed"
                tools:text="AABBTEAC006" />

            <ImageView
                android:id="@+id/iv_person"
                android:layout_width="20dp"
                android:layout_height="20dp"
                android:adjustViewBounds="true"
                android:scaleType="fitXY"
                android:src="@drawable/ic_person"
                app:layout_constraintStart_toEndOf="@+id/tv_user_id"
                app:layout_constraintTop_toTopOf="@+id/tv_user_id" />

            <TextView
                android:id="@+id/tv_person_amount"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="12dp"
                android:layout_marginTop="12dp"
                android:shadowColor="#000000"
                android:shadowDx="1.5"
                android:shadowDy="1.3"
                android:shadowRadius="1.6"
                android:text="2"
                android:textColor="@color/color_white"
                android:textStyle="bold"
                android:visibility="invisible"
                app:layout_constraintBottom_toBottomOf="@+id/iv_person"
                app:layout_constraintStart_toStartOf="@id/iv_person"
                app:layout_constraintTop_toTopOf="@id/iv_person" />

            <TextView
                android:id="@+id/tv_amount"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textColor="@color/color_white"
                app:layout_constraintBottom_toBottomOf="@+id/iv_logo"
                app:layout_constraintStart_toStartOf="@id/tv_user_id"
                app:layout_constraintTop_toBottomOf="@id/tv_user_id"
                app:layout_constraintVertical_chainStyle="packed"
                tools:text="1,000,000" />

            <ImageView
                android:id="@+id/iv_auto_new"
                android:layout_width="wrap_content"
                android:layout_height="0dp"
                android:adjustViewBounds="true"
                android:background="?attr/selectableItemBackgroundBorderless"
                android:clickable="true"
                android:focusable="true"
                android:scaleType="fitXY"
                android:src="@drawable/ic_auto_new"
                app:layout_constraintBottom_toBottomOf="@+id/tv_amount"
                app:layout_constraintStart_toEndOf="@+id/tv_amount"
                app:layout_constraintTop_toTopOf="@+id/tv_amount" />

            <ImageView
                android:id="@+id/iv_setting"
                android:layout_width="24dp"
                android:layout_height="wrap_content"
                android:layout_marginEnd="8dp"
                android:adjustViewBounds="true"
                android:background="?attr/selectableItemBackgroundBorderless"
                android:clickable="true"
                android:focusable="true"
                android:scaleType="fitXY"
                android:src="@drawable/ic_setting"
                app:layout_constraintBottom_toBottomOf="@+id/iv_logo"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toTopOf="@id/iv_logo"
                app:layout_constraintVertical_chainStyle="packed" />

            <ImageView
                android:id="@+id/iv_sound"
                android:layout_width="24dp"
                android:layout_height="wrap_content"
                android:layout_marginEnd="8dp"
                android:adjustViewBounds="true"
                android:background="?attr/selectableItemBackgroundBorderless"
                android:clickable="true"
                android:focusable="true"
                android:scaleType="fitXY"
                android:src="@drawable/ic_unmute"
                android:visibility="gone"
                app:layout_constraintBottom_toBottomOf="@+id/iv_logo"
                app:layout_constraintEnd_toStartOf="@+id/iv_report"
                app:layout_constraintTop_toTopOf="@id/iv_logo" />

            <com.google.android.material.textview.MaterialTextView
                android:id="@+id/mtxt_switch_channel"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginEnd="8dp"
                android:background="?attr/selectableItemBackgroundBorderless"
                android:clickable="true"
                android:focusable="true"
                android:text="CH1"
                android:textColor="@color/color_white"
                android:textSize="16sp"
                android:textStyle="bold"
                app:layout_constraintBottom_toBottomOf="@+id/iv_logo"
                app:layout_constraintEnd_toStartOf="@+id/iv_report"
                app:layout_constraintTop_toTopOf="@id/iv_logo" />

            <ImageView
                android:id="@+id/iv_report"
                android:layout_width="24dp"
                android:layout_height="wrap_content"
                android:layout_marginEnd="8dp"
                android:adjustViewBounds="true"
                android:background="?attr/selectableItemBackgroundBorderless"
                android:clickable="true"
                android:focusable="true"
                android:scaleType="fitXY"
                android:src="@drawable/ic_report"
                app:layout_constraintBottom_toBottomOf="@+id/iv_logo"
                app:layout_constraintEnd_toStartOf="@+id/iv_setting"
                app:layout_constraintTop_toTopOf="@id/iv_logo" />

            <androidx.constraintlayout.widget.Group
                android:id="@+id/group_toolbar_icons"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                app:constraint_referenced_ids="iv_report,iv_setting" />

        </androidx.constraintlayout.widget.ConstraintLayout>
    </com.google.android.material.appbar.MaterialToolbar>
</com.google.android.material.appbar.AppBarLayout>
